services:
  sobki_background_image.background_image_style:
    class: Drupal\sobki_background_image\Service\BackgroundImageStyle
    arguments:
      - '@entity_type.manager'
      - '@file_url_generator'
      - '@config.factory'

  sobki_background_image.render_block_component_subscriber:
    class: Drupal\sobki_background_image\EventSubscriber\BlockComponentRenderArraySubscriber
    arguments:
      - '@sobki_background_image.background_image_style'
    tags:
      - { name: event_subscriber }
